<?php

//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//    For a text copy of GPL 3, see the file COPYING in the root directory

clearstatcache();

if(file_exists('setup/')) {
  die("Please remove the setup folder");
}

//Require the right files then make new classes
require 'smarty/Smarty.class.php';
require 'functions/firstload.php';
require 'functions/tech.php';
require 'functions/conversation.php';
require 'functions/customer.php';
require 'functions/computer.php';
require 'functions/wo.php';
$pagetimer           = new Timerc;
$smart               = new Smarty;
$template            = new Smarty;

//Initiate session
session_start();
//If a tech is logged in, set the login id and loggedin to true
if ($_SESSION['loggedin'] == 1) {
    $ltechid = $_SESSION['tid'];
    $ltechname = $_SESSION['tname'];
    $lin = 1;
    
    //Get the user style
	$userstyle = gettechstyle($ltechid);
    
    $smart->assign('ltechname', $ltechname);
	$smart->assign('ltechid', $ltechid);
    
    if ($lin == 1) {
    	$smart->assign('lin', '1');
    	$template->assign('lin', '1');
    } else {
    	$smart->assign('lin', '0');
    	$template->assign('lin', '0');
    }
} else {
	 $lin = 0;
	 //Default style
	$userstyle = "ktp";
}



//Set the template directories based on the techs cp setting
$smart->template_dir = "templates/$userstyle/";
$smart->compile_dir  = "templates_c/$userstyle/";
$template->template_dir = "templates/$userstyle/";
$template->compile_dir  = "templates_c/$userstyle/";

//Set the title of the page
$smart->assign('title', 'PC Repair Database');

//Show the header
$smart->display('header.tpl');

//Decide what to include based on ?p= then include it
if (isset($_GET['p'])) {
	include 'pages/' . $_GET['p'] . '.php';
} else {
	include 'pages/index.php';
}

$smart->assign('pagetimer', $pagetimer->timer_end());

//Show the footer
$smart->display('footer.tpl');

?>